在安装java JDK的时候碰到的问题。

为当前最终发行版之前的所有版本提供支持
回复
superiori46
帖子: 10
注册时间: 2011-04-10 20:31
送出感谢: 0
接收感谢: 0

在安装java JDK的时候碰到的问题。

#1

帖子 superiori46 » 2011-04-10 20:35

使用sudo apt-get install jdk-6-sun来安装的,还没有配置环境变量,输入了下列的命令,出现错误。哪位大哥能指点一下?谢谢,在线等!

update-java-alternatives -s /usr/lib/jvm/java-6-sun

update-alternatives: error: 无 firefox-javaplugin.so 的替换项。
update-alternatives: error: 无 iceape-javaplugin.so 的替换项。
update-alternatives: error: 无 iceweasel-javaplugin.so 的替换项。
update-alternatives: error: 无 midbrowser-javaplugin.so 的替换项。
update-alternatives: error: 无 xulrunner-1.9-javaplugin.so 的替换项。
update-alternatives: error: 无 xulrunner-javaplugin.so 的替换项。
update-alternatives: error: 无 firefox-javaplugin.so 的替换项。
update-alternatives: error: 无 iceape-javaplugin.so 的替换项。
update-alternatives: error: 无 iceweasel-javaplugin.so 的替换项。
update-alternatives: error: 无 midbrowser-javaplugin.so 的替换项。
update-alternatives: error: mozilla-javaplugin.so 的替换项 /usr/lib/jvm/java-6-sun/jre/lib/amd64/libnpjp2.so 没有注册,不予设置。
update-alternatives: error: 无 xulrunner-1.9-javaplugin.so 的替换项。
update-alternatives: error: 无 xulrunner-javaplugin.so 的替换项。
superiori46
帖子: 10
注册时间: 2011-04-10 20:31
送出感谢: 0
接收感谢: 0

Re: 在安装java JDK的时候碰到的问题。

#2

帖子 superiori46 » 2011-04-10 21:23

忘记说了,我的ubuntu版本是10.10,里面已经自带了openjdk
头像
ffdqlff
帖子: 78
注册时间: 2011-01-27 16:36
送出感谢: 0
接收感谢: 0

Re: 在安装java JDK的时候碰到的问题。

#3

帖子 ffdqlff » 2011-04-12 22:14

6安装SunJDK

add-apt-repository "deb http://archive.canonical.com/ lucid partner"
sudo apt-get update
sudo apt-get install sun-java6-jdk sun-java6-plugin
sudo update-java-alternatives -s java-6-sun
当然,最后一句话也可以使用下面的话来完成:
update-alternatives --config java
不是尤里·纳吉宾式的结局,而应该是欧·亨利式的结局!
superiori46
帖子: 10
注册时间: 2011-04-10 20:31
送出感谢: 0
接收感谢: 0

Re: 在安装java JDK的时候碰到的问题。

#4

帖子 superiori46 » 2011-04-13 1:15

ffdqlff 写了:6安装SunJDK

add-apt-repository "deb http://archive.canonical.com/ lucid partner"
sudo apt-get update
sudo apt-get install sun-java6-jdk sun-java6-plugin
sudo update-java-alternatives -s java-6-sun
当然,最后一句话也可以使用下面的话来完成:
update-alternatives --config java
衷心感谢!!!! :em01
回复

回到 “老旧版本支持”